Blame 0043-dracut-functions.sh-do-not-force-require-modules.bui.patch
|
Harald Hoyer |
4734ec |
From b29cb51654db13706c7356aa827e554456b25b0a Mon Sep 17 00:00:00 2001
|
|
Harald Hoyer |
4734ec |
From: Harald Hoyer <harald@redhat.com>
|
|
Harald Hoyer |
4734ec |
Date: Thu, 5 Dec 2013 15:06:06 +0100
|
|
Harald Hoyer |
4734ec |
Subject: [PATCH] dracut-functions.sh: do not force require modules.builtin*
|
|
Harald Hoyer |
4734ec |
|
|
Harald Hoyer |
4734ec |
---
|
|
Harald Hoyer |
4734ec |
dracut-functions.sh | 7 -------
|
|
Harald Hoyer |
4734ec |
dracut.sh | 2 +-
|
|
Harald Hoyer |
4734ec |
2 files changed, 1 insertion(+), 8 deletions(-)
|
|
Harald Hoyer |
4734ec |
|
|
Harald Hoyer |
4734ec |
diff --git a/dracut-functions.sh b/dracut-functions.sh
|
|
Harald Hoyer |
4734ec |
index 2872516..04f4fea 100755
|
|
Harald Hoyer |
4734ec |
--- a/dracut-functions.sh
|
|
Harald Hoyer |
4734ec |
+++ b/dracut-functions.sh
|
|
Harald Hoyer |
4734ec |
@@ -1456,13 +1456,6 @@ dracut_kernel_post() {
|
|
Harald Hoyer |
4734ec |
wait $_pid
|
|
Harald Hoyer |
4734ec |
fi
|
|
Harald Hoyer |
4734ec |
|
|
Harald Hoyer |
4734ec |
- for _f in modules.builtin.bin modules.builtin; do
|
|
Harald Hoyer |
4734ec |
- [[ $srcmods/$_f ]] && break
|
|
Harald Hoyer |
4734ec |
- done || {
|
|
Harald Hoyer |
4734ec |
- dfatal "No modules.builtin.bin and modules.builtin found!"
|
|
Harald Hoyer |
4734ec |
- return 1
|
|
Harald Hoyer |
4734ec |
- }
|
|
Harald Hoyer |
4734ec |
-
|
|
Harald Hoyer |
4734ec |
for _f in modules.builtin.bin modules.builtin modules.order; do
|
|
Harald Hoyer |
4734ec |
[[ $srcmods/$_f ]] && inst_simple "$srcmods/$_f" "/lib/modules/$kernel/$_f"
|
|
Harald Hoyer |
4734ec |
done
|
|
Harald Hoyer |
4734ec |
diff --git a/dracut.sh b/dracut.sh
|
|
Harald Hoyer |
4734ec |
index 6975d90..5709874 100755
|
|
Harald Hoyer |
4734ec |
--- a/dracut.sh
|
|
Harald Hoyer |
4734ec |
+++ b/dracut.sh
|
|
Harald Hoyer |
4734ec |
@@ -501,7 +501,7 @@ if [[ $regenerate_all == "yes" ]]; then
|
|
Harald Hoyer |
4734ec |
|
|
Harald Hoyer |
4734ec |
cd /lib/modules
|
|
Harald Hoyer |
4734ec |
for i in *; do
|
|
Harald Hoyer |
4734ec |
- [[ -f $i/modules.builtin ]] || continue
|
|
Harald Hoyer |
4734ec |
+ [[ -f $i/modules.dep ]] || [[ -f $i/modules.dep.bin ]] || continue
|
|
Harald Hoyer |
4734ec |
dracut --kver="$i" "${dracut_args[@]}"
|
|
Harald Hoyer |
4734ec |
((ret+=$?))
|
|
Harald Hoyer |
4734ec |
done
|